Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Erro ao instalar dependências do skype
12/08/2014, 14:51
Resposta: #1
Erro ao instalar dependências do skype
Olá a todos,

sou novo no debian, antes usei ubuntu, mas ainda estou iniciando no mundo linux. Instalei o debian x64 em uma maquina virtual e estou tentando instalar o skype, mas o mesmo acusa que precisa de algumas dependências, portanto, uso o comando apt-get -f install para instalar as mesmas, mas ao invés de instalar elas ele desinstala o skype. Gostaria de saber como resolver essa situação.

Obrigado.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/08/2014, 14:52
Resposta: #2
RE: Erro ao instalar dependências do skype
Olá,

Quais dependências ele pede? Se for o caso pode tentar baixar a versão dynamic que já vem compilada.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/08/2014, 15:00
Resposta: #3
RE: Erro ao instalar dependências do skype
Segue elas:
dpkg: problemas com dependências impedem a configuração de skype:
skype depende de libc6 (>= 2.3.6-6~).
skype depende de libc6 (>= 2.7).
skype depende de libgcc1 (>= 1:4.1.1).
skype depende de libqt4-dbus (>= 4:4.5.3).
skype depende de libqt4-network (>= 4:4.8.0).
skype depende de libqt4-xml (>= 4:4.5.3).
skype depende de libqtcore4 (>= 4:4.7.0~beta1).
skype depende de libqtgui4 (>= 4:4.8.0).
skype depende de libqtwebkit4 (>= 2.1.0~2011week13).
skype depende de libstdc++6 (>= 4.2.1).
skype depende de libx11-6.
skype depende de libxext6.
skype depende de libxss1.
skype depende de libxv1.
skype depende de libssl1.0.0.
skype depende de libpulse0.
skype depende de libasound2-plugins.

dpkg: erro ao processar skype (--install):
problemas de dependência - deixando desconfigurado
Processando gatilhos para desktop-file-utils ...
Processando gatilhos para gnome-menus ...
Processando gatilhos para hicolor-icon-theme ...
Erros foram encontrados durante o processamento de:
skype
[email protected]:~/Downloads$ sudo apt-get -f install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes a seguir serão REMOVIDOS:
skype:i386
0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 44,3 MB de espaço em disco serão liberados.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/08/2014, 15:47
Resposta: #4
RE: Erro ao instalar dependências do skype
Sua arquitetura é 32 ou 64 bits? Você tem que instalar os pacotes que ele solicita, mas acredito que você está instalando o skype de 32 bits em uma máquina de 64 bits. Faça um teste baixando a versão de 64.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/08/2014, 15:59
Resposta: #5
RE: Erro ao instalar dependências do skype
Tenho o Debian x64, mas instalei o suporte para arquitetura x32. E sim, estou tentando instalar o skype 32 bits, pois não achei o 64 bits. Pode me passar o link para download?

Obrigado.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/08/2014, 16:07
Resposta: #6
RE: Erro ao instalar dependências do skype
No prório site do skype, pode baixar a versão multiarch ou dynamic.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/08/2014, 16:19
Resposta: #7
RE: Erro ao instalar dependências do skype
skikey, baixei e descompactei o arquivo dynamic, mas agora o que devo fazer?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
13/08/2014, 11:23
Resposta: #8
RE: Erro ao instalar dependências do skype
Execute o binário do skype.. ./skype
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
13/08/2014, 23:47
Resposta: #9
RE: Erro ao instalar dependências do skype
Olá,

spike, não tem esse arquivo que citou. Tem apenas esses: avatars, lang, README, skype.conf, sounds, icons, LICENSE, skype, skype.desktop e third-party_attributions.txt.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/08/2014, 09:32
Resposta: #10
RE: Erro ao instalar dependências do skype
Você tem que executar o skype, na listagem que você colocou acima consta o arquivo.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/08/2014, 15:59
Resposta: #11
RE: Erro ao instalar dependências do skype
Olá

Aqui tem todo o caminho para instalar o Skype.

Installing Skype

https://wiki.debian.org/skype

Abraços

Deusdará

Mobo: Asus B85M-E/BR][CPU: Intel Core i7 [email protected] GHz][RAM 2x4 GB 1333 MHz DDR3 Kingston][GPU: onboard Intel HD Graphics 4600][HD:Seagate 1,0 TB SATA II][Fonte: Corsair CX 750 W][Debian testing]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/08/2014, 20:09 (Resposta editada pela última vez em: 14/08/2014 20:09 por Flávio01.)
Resposta: #12
RE: Erro ao instalar dependências do skype
Olá,

deusdara, eu já tentei esse tutorial, mas o mesmo não está funcionando para mim....spikey, olha o que aparece quando tento executa-lo: [email protected]:~/Downloads/skype-4.3.0.37$ sudo ./skype
sudo: unable to execute ./skype: No such file or directory

E agora?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/08/2014, 22:16
Resposta: #13
RE: Erro ao instalar dependências do skype
Que tal se você instalar ele usando o dpkg ?
dpkg -i skype-debian_4.3.0.37-1_i386.deb


Já que pelo que entend, as dependencias foram instaladas, mas o programa removido....'-' Tenta isso ai pra ver e posta a resposta




'-'
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/08/2014, 22:35
Resposta: #14
RE: Erro ao instalar dependências do skype
Olá, 4PR3ND!Z.

Já tinha usado esse método, mas usei novamente e ele continua apresentando os erros de dependencias. Sendo assim, utilizo o comando apt-get -f install para corrigi-las, mas ao invés disso, ele simplesmente oferece para remover o skype...

Obrigado.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/08/2014, 23:30
Resposta: #15
RE: Erro ao instalar dependências do skype
Ok vamos lá:


você já fez esse neh :


-# apt-get -f install


Vamos fazer assim: * Obs: Nada se sudo, entre logo como root...'-.- *


-# dpkg --add-architecture i386
-# apt-get update


instale


-# aptitude install libqt4-dbus:i386 libqt4-network:i386 libqt4-xml:i386 libqtcore4:i386 libqtgui4:i386 libqtwebkit4:i386 libxss1:i386 libxv1:i386 libssl1.0.0:i386 libasound2:i386


Depois:

-# dpkg -i skype-debian_4.3.0.37-1_i386.deb

Vai falhar normal:

-# apt-get -f install libpulse0

vai dar essa msg:

Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
libpulse0 já é a versão mais nova.
libpulse0 configurado para instalar manualmente.
Você deve querer executar 'apt-get -f install' para corrigí-los:
Os pacotes a seguir têm dependências desencontradas:
skype:i386 : Depende: libpulse0:i386 mas não será instalado
Depende: libasound2-plugins:i386 mas não será instalado
E: Dependências desencontradas. Tente 'apt-get -f install' sem nenhum pacote (ou especifique uma solução).


Force agora

-# apt-get -f install


Ai veja se apareceu no seu menu
Aplicativos > Internet > Skype

Se sim bom, se não pode usar o dpkg denovo que vai ou racha ....'-' :

-# dpkg -i skype-debian_4.3.0.37-1_i386.deb
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico:

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS